Get StatementJob - m3ter Documentation
Get StatementJob
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/statementjobs/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/statementjobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/statementjobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
Response Structure
{
"id": "<string>",
"version": 123,
"billId": "<string>",
"orgId": "<string>",
"includeCsvFormat": true,
"filters": {
"meterIds": ["<string>"]
},
"presignedJsonStatementUrl": "<string>",
"presignedCsvStatementUrl": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string, required
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
- The
authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
- orgId: string, required
- Unique identifier (UUID) of your Organization.
- id: string, required
Response Fields
- id: string, required
- version: integer
- statementJobStatus: enum
- Current status of the StatementJob. Options:
PENDING, RUNNING, COMPLETE, CANCELLED, FAILED.
- billId: string
- UUID of the bill associated.
- orgId: string
- UUID of your Organization.
- includeCsvFormat: boolean
- Indicates if the generated statement includes a CSV format.
- filters: object
- presignedJsonStatementUrl: string
- URL for accessing generated statement in JSON format.
- jsonStatementStatus: enum
- Options:
LATEST, STALE, INVALIDATED.
- presignedCsvStatementUrl: string
- csvStatementStatus: enum
- Options:
LATEST, STALE, INVALIDATED.
- dtCreated: string
- Creation date and time in ISO-8601 format.
- dtLastModified: string
- Last modified date and time in ISO-8601 format.
- createdBy: string
- lastModifiedBy: string